from test_helper import run_common_tests, get_answer_placeholders, get_file_output, failed, passed

if __name__ == '__main__':
    run_common_tests()
    placeholders = get_answer_placeholders()
    output = get_file_output()
    oracle = '''expected False; actual False
expected True; actual True
expected False; actual False
expected False; actual False
expected True; actual True
expected False; actual False
expected True; actual True
expected True; actual True'''.split('\n')
    messages = '''The first truthiness did not match the expected output.
The second truthiness did not match the expected output.
The third truthiness did not match the expected output.
The fourth truthiness did not match the expected output.
The fifth truthiness did not match the expected output.
The sixth truthiness did not match the expected output.
The seventh truthiness did not match the expected output.
The eighth truthiness did not match the expected output.'''.split('\n')
    if len(output) != len(oracle):
        failed('Expected {expected} line(s) of program output, but the program printed {actual} line(s)'
               .format(expected=len(oracle), actual=len(output)))
    else:
        for actual, expected, message in zip(output, oracle, messages):
            if actual != expected:
                failed(message.format(actual=actual))
        else:
            passed()
