from test_helper import run_common_tests, get_answer_placeholders, get_file_output, failed, passed

if __name__ == '__main__':
    run_common_tests()
    placeholders = get_answer_placeholders()
    if '{augend}' not in placeholders[0] or '{addend}' not in placeholders[0] or '{total}' not in placeholders[0]:
        failed('The program output did not contain the expected placeholders, or else they were not formatted correctly.')
    else:
        output = get_file_output()
        oracle = '''one + two = three'''.split('\n')
        messages = '''The program output did not match the summation in the instructions.'''.split('\n')
        if len(output) != len(oracle):
            failed('Expected {expected} line(s) of program output, but the program printed {actual} line(s)'
                   .format(expected=len(oracle) + 1, actual=len(output) + 1))
        else:
            for actual, expected, message in zip(output, oracle, messages):
                if actual != expected:
                    failed(message.format(actual=actual))
            else:
                passed()
