from test_helper import run_common_tests, get_answer_placeholders, get_file_output, failed, passed

if __name__ == '__main__':
    run_common_tests()
    placeholders = get_answer_placeholders()
    output = get_file_output()
    oracle = '''expected 1.7; actual 1.7
expected 1.2; actual 1.2
expected 0.3; actual 0.30000000000000004
expected 3.375; actual 3.375
expected 7.5; actual 7.5
expected 0.4; actual 0.3999999999999999'''.split('\n')
    messages = '''The sum did not match the expected output.
The difference did not match the expected output.
The product did not match the expected output.
The power did not match the expected output.
The quotient did not match the expected output.
The remainder did not match the expected output.'''.split('\n')
    if len(output) != len(oracle):
        failed('Expected {expected} line(s) of program output, but the program printed {actual} line(s)'
               .format(expected=len(oracle), actual=len(output)))
    else:
        for actual, expected, message in zip(output, oracle, messages):
            if actual != expected:
                failed(message.format(actual=actual))
        else:
            passed()
