from test_helper import run_common_tests, get_answer_placeholders, get_file_output, failed, passed

if __name__ == '__main__':
    run_common_tests()
    placeholders = get_answer_placeholders()
    output = get_file_output()
    oracle = '''expected 17; actual 17
expected 12; actual 12
expected 60; actual 60
expected 225; actual 225
expected 7; actual 7
expected 6; actual 6'''.split('\n')
    messages = '''The sum did not match the expected output.
The difference did not match the expected output.
The product did not match the expected output.
The power did not match the expected output.
The quotient did not match the expected output.
The remainder did not match the expected output.'''.split('\n')
    if len(output) != len(oracle):
        failed('Expected {expected} line(s) of program output, but the program printed {actual} line(s)'
               .format(expected=len(oracle), actual=len(output)))
    else:
        for actual, expected, message in zip(output, oracle, messages):
            if actual != expected:
                failed(message.format(actual=actual))
        else:
            passed()
