from test_helper import run_common_tests, get_answer_placeholders, get_file_output, failed, passed

if __name__ == '__main__':
    run_common_tests()
    placeholders = get_answer_placeholders()
    output = get_file_output()
    oracle = '''expected alpha; actual alpha
expected [1, 4, 9]; actual [1, 4, 9]
expected (0, 1, 2); actual (0, 1, 2)
expected abababab; actual abababab
expected [1, 4, 9, 1, 4, 9, 1, 4, 9]; actual [1, 4, 9, 1, 4, 9, 1, 4, 9]
expected (); actual ()'''.split('\n')
    messages = '''The first concatenation did not match the expected output.
The second concatenation did not match the expected output.
The third concatenation did not match the expected output.
The first repetition did not match the expected output.
The second repetition did not match the expected output.
The third repetition did not match the expected output.'''.split('\n')
    if len(output) != len(oracle):
        failed('Expected {expected} line(s) of program output, but the program printed {actual} line(s)'
               .format(expected=len(oracle), actual=len(output)))
    else:
        for actual, expected, message in zip(output, oracle, messages):
            if actual != expected:
                failed(message.format(actual=actual))
        else:
            passed()
