from test_helper import run_common_tests, get_answer_placeholders, get_file_output, failed, passed

if __name__ == '__main__':
    run_common_tests()
    placeholders = get_answer_placeholders()
    output = get_file_output()
    oracle = '''expected 5; actual 5
expected 3; actual 3
expected 1; actual 1
expected 0; actual 0'''.split('\n')
    messages = '''The first length did not match the expected output.
The second length did not match the expected output.
The third length did not match the expected output.
The fourth length did not match the expected output.'''.split('\n')
    if len(output) != len(oracle):
        failed('Expected {expected} line(s) of program output, but the program printed {actual} line(s)'
               .format(expected=len(oracle), actual=len(output)))
    else:
        for actual, expected, message in zip(output, oracle, messages):
            if actual != expected:
                failed(message.format(actual=actual))
        else:
            passed()
