from test_helper import run_common_tests, get_answer_placeholders, get_file_output, failed, passed

if __name__ == '__main__':
    run_common_tests()
    placeholders = get_answer_placeholders()
    output = get_file_output()
    oracle = '''expected a list with two elements, 0 and 1; actual [0, 1]
expected a list with one element, 0; actual [0]
expected a list with zero elements; actual []
expected a tuple with two elements, 0 and 1; actual (0, 1)
expected a tuple with one element, 0; actual (0,)
expected a tuple with zero elements; actual ()'''.split('\n')
    messages = '''The first list did not match the expected output.
The second list did not match the expected output.
The third list did not match the expected output.
The first tuple did not match the expected output.
The second tuple did not match the expected output.
The third tuple did not match the expected output.'''.split('\n')
    if len(output) != len(oracle):
        failed('Expected {expected} line(s) of program output, but the program printed {actual} line(s)'
               .format(expected=len(oracle), actual=len(output)))
    else:
        for actual, expected, message in zip(output, oracle, messages):
            if actual != expected:
                failed(message.format(actual=actual))
        else:
            passed()
