from test_helper import run_common_tests, get_answer_placeholders, get_file_output, failed, passed

if __name__ == '__main__':
    run_common_tests()
    placeholders = get_answer_placeholders()
    output = get_file_output()
    oracle = '''expected 4; actual 4
expected 12; actual 12
expected 11; actual 11
expected 5; actual 5
expected 5x; actual 5x'''.split('\n')
    messages = '''The first value did not match the expected output.
The second value did not match the expected output.
The third value did not match the expected output.
The fourth value did not match the expected output.
The fifth value did not match the expected output.'''.split('\n')
    if len(output) != len(oracle):
        failed('Expected {expected} line(s) of program output, but the program printed {actual} line(s)'
               .format(expected=len(oracle), actual=len(output)))
    else:
        for actual, expected, message in zip(output, oracle, messages):
            if actual != expected:
                failed(message.format(actual=actual))
        else:
            passed()
